from rest_framework import viewsets

from meleager.models import Keyword, KeywordCategory

from ..serializers.keyword import KeywordCategorySerializer, KeywordSerializer


class KeywordViewSet(viewsets.ReadOnlyModelViewSet):
    queryset = Keyword.objects.all()
    serializer_class = KeywordSerializer


class KeywordCategoryViewSet(viewsets.ReadOnlyModelViewSet):
    queryset = KeywordCategory.objects.all()
    serializer_class = KeywordCategorySerializer
