from django.urls import path

from ..views.manuscripts import (
    PassageManuscriptCreate,
    ScholiumManuscriptCreate,
)

urlpatterns = [
    path(
        "passage/<int:passage_pk>/create/",
        PassageManuscriptCreate.as_view(),
        name="passage-manuscript-create",
    ),
    path(
        "scholium/<int:scholium_pk>/create/",
        ScholiumManuscriptCreate.as_view(),
        name="scholium-manuscript-create",
    ),
]
