from django.shortcuts import render
from django.utils.translation import gettext as _

from meleager.models import Book


def index_view(request):
    books = Book.objects.all()
    return render(
        request, "web/index.html", {"books": books, "page_title": _("Passages")}
    )
