from rest_framework import serializers

from meleager.models import Edition
from .description import DescriptionSerializer


class EditionSerializer(serializers.HyperlinkedModelSerializer):
    descriptions = DescriptionSerializer(many=True)

    class Meta:
        model = Edition
        fields = "__all__"
