from rest_framework import serializers

from meleager.models import Scholium


class ScholiumSerializer(serializers.HyperlinkedModelSerializer):
    texts = serializers.HyperlinkedRelatedField(
        many=True, read_only=True, view_name="text-detail"
    )

    class Meta:
        model = Scholium
        fields = "__all__"
