from rest_framework import serializers

from meleager.models import Text
from .language import LanguageSerializer
from .edition import EditionSerializer


class TextSerializer(serializers.HyperlinkedModelSerializer):
    language = LanguageSerializer()
    edition = EditionSerializer()

    class Meta:
        model = Text
        fields = "__all__"
