from rest_framework import viewsets

from meleager.models import Manuscript, Medium

from ..serializers.media import ManuscriptSerializer, MediumSerializer


class MediaViewSet(viewsets.ReadOnlyModelViewSet):
    queryset = Medium.objects.all()
    serializer_class = MediumSerializer


class ManuscriptViewSet(viewsets.ReadOnlyModelViewSet):
    queryset = Manuscript.objects.all()
    serializer_class = ManuscriptSerializer
