from rest_framework import viewsets

from meleager.models import Scholium

from ..serializers.scholium import ScholiumSerializer


class ScholiumViewSet(viewsets.ReadOnlyModelViewSet):
    queryset = Scholium.objects.all()
    serializer_class = ScholiumSerializer
