from django.test import TestCase


class AuthorTest(TestCase):
    fixtures = ["test_data.json"]

    def test_authors_page_ok(self):
        resp = self.client.get("/authors/")
        self.assertEqual(resp.status_code, 200)
        self.assertContains(resp, "Author ITA")

    def test_author_page_ok(self):
        resp = self.client.get("/authors/1/")
        self.assertEqual(resp.status_code, 200)
        self.assertContains(resp, "Author ITA")
