from django.urls import include, path

from ..views import index_view
from .cities import urlpatterns as cities_urls
from .passages import urlpatterns as passages_urls
from .scholia import urlpatterns as scholia_urls
from .descriptions import urlpatterns as descriptions_urls
from .manuscripts import urlpatterns as manuscripts_urls
from .authors import urlpatterns as authors_urls
from .cities import urlpatterns as cities_urls
from .comments import urlpatterns as comments_urls
from .descriptions import urlpatterns as descriptions_urls
from .keywords import urlpatterns as keywords_urls
from .passages import urlpatterns as passages_urls
from .scholia import urlpatterns as scholia_urls
from .texts import urlpatterns as texts_urls

app_name = "web"

urlpatterns = [
    path("", index_view, name="index"),
    path("cities/", include(cities_urls)),
    path("passages/", include(passages_urls)),
    path("passages/", include(scholia_urls)),
    path("descriptions/", include(descriptions_urls)),
    path("manuscripts/", include(manuscripts_urls)),
    path("authors/", include(authors_urls)),
    path("comments/", include(comments_urls)),
    path("keywords/", include(keywords_urls)),
    path("texts/", include(texts_urls)),
    path("i18n/", include("django.conf.urls.i18n")),
]
